/******************************************************************************/
/*                                                                            */
/*                Advanced Navigation Packet Protocol Library                 */
/*                   Java Language Certus SDK, Version 7.0                    */
/*                    Copyright 2023, Advanced Navigation                     */
/*                                                                            */
/******************************************************************************/
/*
 * Copyright (C) 2023 Advanced Navigation
 *
 * Permission is hereby granted, free of charge, to any person obtaining
 * a copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE 
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 */

package com.advancednavigation.anPackets;

public class ANPacket
{
	public static final int PACKET_ID_ACKNOWLEDGE = 0;
	public static final int PACKET_ID_REQUEST = 1;
	public static final int PACKET_ID_BOOT_MODE = 2;
	public static final int PACKET_ID_DEVICE_INFORMATION = 3;
	public static final int PACKET_ID_RESTORE_FACTORY_SETTINGS = 4;
	public static final int PACKET_ID_RESET = 5;
	public static final int PACKET_ID_FILE_TRANSFER_REQUEST = 7;
	public static final int PACKET_ID_FILE_TRANSFER_ACKNOWLEDGE = 8;
	public static final int PACKET_ID_FILE_TRANSFER = 9;
	public static final int PACKET_ID_PASS_THROUGH = 10;
	public static final int PACKET_ID_NETWORK_CONFIGURATION = 11;
	public static final int PACKET_ID_EXTENDED_DEVICE_INFORMATION = 13;
	public static final int PACKET_ID_SUBCOMPONENT_INFORMATION = 14;

	public static final int PACKET_ID_SYSTEM_STATE = 20;
	public static final int PACKET_ID_UNIX_TIME = 21;
	public static final int PACKET_ID_FORMATTED_TIME = 22;
	public static final int PACKET_ID_STATUS = 23;
	public static final int PACKET_ID_POSITION_STANDARD_DEVIATION = 24;
	public static final int PACKET_ID_VELOCITY_STANDARD_DEVIATION = 25;
	public static final int PACKET_ID_EULER_ORIENTATION_STANDARD_DEVIATION = 26;
	public static final int PACKET_ID_QUATERNION_ORIENTATION_STANDARD_DEVIATION = 27;
	public static final int PACKET_ID_RAW_SENSORS = 28;
	public static final int PACKET_ID_RAW_GNSS = 29;
	public static final int PACKET_ID_SATELLITES = 30;
	public static final int PACKET_ID_GEODETIC_POSITION = 32;
	public static final int PACKET_ID_ECEF_POSITION = 33;
	public static final int PACKET_ID_UTM_POSITION = 34;
	public static final int PACKET_ID_NED_VELOCITY = 35;
	public static final int PACKET_ID_BODY_VELOCITY = 36;
	public static final int PACKET_ID_ACCELERATION = 37;
	public static final int PACKET_ID_BODY_ACCELERATION = 38;
	public static final int PACKET_ID_EULER_ORIENTATION = 39;
	public static final int PACKET_ID_QUATERNION_ORIENTATION = 40;
	public static final int PACKET_ID_DCM_ORIENTATION = 41;
	public static final int PACKET_ID_ANGULAR_VELOCITY = 42;
	public static final int PACKET_ID_ANGULAR_ACCELERATION = 43;
	public static final int PACKET_ID_EXTERNAL_POSITION_AND_VELOCITY = 44;
	public static final int PACKET_ID_EXTERNAL_POSITION = 45;
	public static final int PACKET_ID_EXTERNAL_VELOCITY = 46;
	public static final int PACKET_ID_EXTERNAL_BODY_VELOCITY = 47;
	public static final int PACKET_ID_EXTERNAL_HEADING = 48;
	public static final int PACKET_ID_RUNNING_TIME = 49;
	public static final int PACKET_ID_LOCAL_MAGNETICS = 50;
	public static final int PACKET_ID_ODOMETER_STATE = 51;
	public static final int PACKET_ID_EXTERNAL_TIME = 52;
	public static final int PACKET_ID_EXTERNAL_DEPTH = 53;
	public static final int PACKET_ID_GEOID_HEIGHT = 54;
	public static final int PACKET_ID_RTCM_CORRECTIONS = 55;
	public static final int PACKET_ID_WIND = 57;
	public static final int PACKET_ID_HEAVE = 58;
	public static final int PACKET_ID_RAW_SATELLITE_DATA = 60;
	public static final int PACKET_ID_RAW_SATELLITE_EPHEMERIS = 61;
	public static final int PACKET_ID_GNSS_SUMMARY = 66;
	public static final int PACKET_ID_ODOMETER = 67;
	public static final int PACKET_ID_AIR_DATA = 68;
	public static final int PACKET_ID_GNSS_INFORMATION = 69;
	public static final int PACKET_ID_RAW_DVL_DATA = 70;
	public static final int PACKET_ID_GIMBAL_STATE = 72;
	public static final int PACKET_ID_AUTOMOTIVE = 73;
	public static final int PACKET_ID_EXTERNAL_MAGNETOMETERS = 75;
	public static final int PACKET_ID_BASE_STATION = 80;
	public static final int PACKET_ID_ZERO_ANGULAR_VELOCITY = 83;
	public static final int PACKET_ID_EXTENDED_SATELLITES = 84;
	public static final int PACKET_ID_SENSOR_TEMPERATURES = 85;

	public static final int PACKET_ID_PACKET_TIMER_PERIOD = 180;
	public static final int PACKET_ID_PACKETS_PERIOD = 181;
	public static final int PACKET_ID_BAUD_RATE = 182;
	public static final int PACKET_ID_SENSOR_RANGES = 184;
	public static final int PACKET_ID_INSTALLATION_ALIGNMENT = 185;
	public static final int PACKET_ID_FILTER_OPTIONS = 186;
	public static final int PACKET_ID_GPIO_CONFIGURATION = 188;
	public static final int PACKET_ID_MAGNETIC_CALIBRATION_VALUES = 189;
	public static final int PACKET_ID_MAGNETIC_CALIBRATION_CONFIGURATION = 190;
	public static final int PACKET_ID_MAGNETIC_CALIBRATION_STATUS = 191;
	public static final int PACKET_ID_ODOMETER_CONFIGURATION = 192;
	public static final int PACKET_ID_ZERO_ALIGNMENT = 193;
	public static final int PACKET_ID_REFERENCE_POINT_OFFSETS = 194;
	public static final int PACKET_ID_GPIO_OUTPUT_CONFIGURATION = 195;
	public static final int PACKET_ID_DUAL_ANTENNA_CONFIGURATION = 196;
	public static final int PACKET_ID_GNSS_CONFIGURATION = 197;
	public static final int PACKET_ID_USER_DATA = 198;
	public static final int PACKET_ID_GPIO_INPUT_CONFIGURATION = 199;
	public static final int PACKET_ID_IP_DATAPORTS_CONFIGURATION = 202;
	public static final int PACKET_ID_CAN_CONFIGURATION	= 203;
	public static final int PACKET_ID_DEVICE_NAME = 204;

	public int id;
	public int length;
	public byte[] data;

	public ANPacket(int length, int id)
	{
		this.length = length;
		this.id = id;
		this.data = new byte[length];
	}
}
