/******************************************************************************/
/*                                                                            */
/*                Advanced Navigation Packet Protocol Library                 */
/*                   Java Language Certus SDK, Version 7.0                    */
/*                    Copyright 2023, Advanced Navigation                     */
/*                                                                            */
/******************************************************************************/
/*
 * Copyright (C) 2023 Advanced Navigation
 *
 * Permission is hereby granted, free of charge, to any person obtaining
 * a copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE 
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 */

package com.advancednavigation.anPackets;

/* Sensor Temperatures */
public class ANPacket85
{
	public static final int LENGTH = 32;

	public float[] accelerometerTemperature;
	public float[] gyroscopeTemperature;
	public float magnetometersTemperature;
	public float pressureTemperature;
	
	public ANPacket85(ANPacket packet)
	{
		accelerometerTemperature = new float[3];
		gyroscopeTemperature = new float[3];
		for(int i = 0; i < 3; i++)
		{
			accelerometerTemperature[i] = TypeConversion.bytesToFloat(packet.data, 4*i);
			gyroscopeTemperature[i] = TypeConversion.bytesToFloat(packet.data, 12 + 4*i);
		}
		magnetometersTemperature = TypeConversion.bytesToFloat(packet.data, 24);
		pressureTemperature = TypeConversion.bytesToFloat(packet.data, 28);
	}
}
